Foreman - Bug #14184

Non-admin user can't create filters for not taxable resources
03/14/2016 09:04 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulén
Category: Organizations and Locations
Target version: 1.11.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.7.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3319
Description

When | want to create an architecture filter as a user, #ensure_taxonomies_not_escalated validation on filter prevents this. The
reason is that filter includes Taxable even though taxonomies relations are for related resource in fact. It results in filter not being

saved without any clear error, in log user can find following:

Failed to save: Organization ids Invalid organizations selection,

you must select at least one of

yours, Location ids Invalid locations selection, you must select at least one of yours

Related issues:
Related to Foreman - Bug #5929: Taxonomy selectors do not obey assign_$taxono...

Related to Foreman - Tracker #10022: Taxonomies related issues

Closed 05/26/2014
New 04/05/2015

Associated revisions

Revision 473ba1c6 - 03/15/2016 10:00 AM - Marek Hulan

Fixes #14184 - allow filter creation for users with taxonomies

Revision b08c68d2 - 04/18/2016 01:45 PM - Marek Hulan

Fixes #14184 - allow filter creation for users with taxonomies

(cherry picked from commit 473ba1c6562c039564331bf5¢cf66804d27dfd736)

History

#1 - 03/14/2016 09:04 AM - Marek Hulan

- Related to Bug #5929: Taxonomy selectors do not obey assign_$taxonomy permissions added

#2 - 03/14/2016 09:05 AM - Marek Hulan

- Related to Tracker #10022: Taxonomies related issues added

#3 - 03/14/2016 09:10 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3319 added

#4 - 03/15/2016 10:02 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 473ba1c6562c039564331bf5¢cf66804d27dfd736.

#5 - 03/16/2016 04:44 AM - Dominic Cleal

- translation missing: en.field_release set to 141

05/21/2024

1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/473ba1c6562c039564331bf5cf66804d27dfd736
http://www.tcpdf.org

